%global     commit     49ff56733fb29b1ffef81c08bd2f830c10092db5
%global     githash    %(c=%{commit}; echo ${c:0:7})
%global     gitdate    20170814
%global     gittime    2050

Name:       nautilus-git
Version:    1.3
Release:    1.%{gitdate}%{gittime}git%{githash}%{?dist}
Summary:    Git-Extension for nautilus 

Group:      Applications/Internet
License:    GPLv3
URL:        https://github.com/bil-elmoussaoui/nautilus-git
Source:     https://github.com/bil-elmoussaoui/%{name}/archive/%{githash}/%{name}-v%{version}-%{githash}.tar.gz

BuildRequires:  intltool
BuildRequires:  meson
BuildRequires:  gettext
BuildRequires:  ninja-build
BuildRequires:  pkgconfig(python-2.7)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.10
BuildRequires:  pkgconfig(nautilus-python)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(appstream)

Requires:       nautilus
Requires:       nautilus-extensions
Requires:       nautilus-python
Requires:       git
BuildArch:      noarch

%description
Nautilus extension to add important information about the current git directory

%prep -n
%setup -q -n %{name}-%{commit}

%build
mkdir build
cd build
meson .. --prefix /usr -Dfile_manager=nautilus
%ninja_build

%install
cd build
%ninja_install

%find_lang nautilus-git

%post
%{_bindir}/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    %{_bindir}/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    %{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%license LICENSE
%{_datadir}/icons/hicolor/*
%{_datadir}/nautilus-python/extensions/*
%{_datadir}/metainfo/nautilus-git.metainfo.xml
%{_datadir}/nautilus-git/nautilus-git.gresource
%{_datadir}/nautilus-git/src/*
%{_datadir}/locale/*/LC_MESSAGES/%{name}.*

%changelog
* Sun Feb 12 2017 Heiko Adams <heiko.adams@gmail.com> - 0.1-201702121430gita38e3f9
- initial release
